package com.bonus.hn.bearing.capacity.backstage.project.service;
import com.bonus.hn.bearing.capacity.backstage.manager.utils.UserUtil;
import com.bonus.hn.bearing.capacity.backstage.project.dao.RnProjectBindDao;
import com.bonus.hn.bearing.capacity.backstage.project.dao.TowerProjectDao;
import com.bonus.hn.bearing.capacity.backstage.project.entity.FileBean;
import com.bonus.hn.bearing.capacity.backstage.project.entity.RnProjectBindBean;
import com.bonus.hn.bearing.capacity.backstage.project.entity.TowerProjectBean;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * APP登录记录表(AppLoginAudit)表服务实现类
 *
 * @author makejava
 * @since 2022-12-12 13:57:46
 */
@Service("RnProjectBindService")
public class RnProjectBindImpl implements RnProjectBindService {

    @Resource
    private RnProjectBindDao dao;

    @Override
    public List<RnProjectBindBean> getRnProjectList(RnProjectBindBean o) {
        o.setLevel(UserUtil.getLoginUser().getLevel());
        o.setOrgIds(UserUtil.getLoginUser().getOrgId());
        return dao.getRnProjectList(o);
    }

    @Override
    public int delRnProjectById(FileBean bean) {
        return dao.delRnProjectById(bean);
    }

    @Override
    public int updateRnProject(RnProjectBindBean bean) {
        return dao.updateRnProject(bean);
    }

    @Override
    public List<RnProjectBindBean> getExportList(RnProjectBindBean b) {
        return dao.getExportList(b);
    }
}
